Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.framework.exceptions
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.archive.crawler.framework.exceptions.InitializationException
                  org.archive.crawler.framework.exceptions.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FatalConfigurationException

    public class ConfigurationException

extends InitializationException

ConfigurationExceptions should be thrown when a configuration file is missing data, or contains uninterpretable data, at runtime. Fatal errors (that should cause the program to exit) should be thrown as FatalConfigurationExceptions. You may optionally note the

Author:
  Parker Thompson
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `element`
`protected java.lang.String` | `file`

Constructor Summary
`ConfigurationException()` default constructor
`ConfigurationException(java.lang.String message)` Create a ConfigurationException
`ConfigurationException(java.lang.String message, java.lang.String filename, java.lang.String elementname)` Create ConfigurationException
`ConfigurationException(java.lang.String message, java.lang.Throwable cause)`
`ConfigurationException(java.lang.String message, java.lang.Throwable cause, java.lang.String filename, java.lang.String elementname)` Create ConfigurationException
`ConfigurationException(java.lang.Throwable cause)` Create a ConfigurationException
`ConfigurationException(java.lang.Throwable cause, java.lang.String filename, java.lang.String elementname)` Create ConfigurationException

Method Summary
`java.lang.String` | `getElement()`
`java.lang.String` | `getFile()`
`void` | `setElement(java.lang.String target)` Set the name of the element that was being parsed when this exception occured.
`void` | `setFile(java.lang.String name)` Store the name of the configuration file that was being parsed when this exception occured.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected java.lang.String file

### element

    protected java.lang.String element

Constructor Detail

### ConfigurationException

    public ConfigurationException()

  default constructor

### ConfigurationException

    public ConfigurationException(java.lang.String message)

  Create a ConfigurationException

  Parameters:
    `message` -

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### ConfigurationException

    public ConfigurationException(java.lang.Throwable cause)

  Create a ConfigurationException

  Parameters:
    `cause` -

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.String filename,
                                  java.lang.String elementname)

  Create ConfigurationException

  Parameters:
    `message` -
    `filename` -
    `elementname` -

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  java.lang.String filename,
                                  java.lang.String elementname)

  Create ConfigurationException

  Parameters:
    `message` -
    `cause` -
    `filename` -
    `elementname` -

### ConfigurationException

    public ConfigurationException(java.lang.Throwable cause,
                                  java.lang.String filename,
                                  java.lang.String elementname)

  Create ConfigurationException

  Parameters:
    `cause` -
    `filename` -
    `elementname` -

Method Detail

### setFile

    public void setFile(java.lang.String name)

  Store the name of the configuration file that was being parsed when this exception occured.

  Parameters:
    `name` -

### getFile

    public java.lang.String getFile()

  Returns:
    name of configuration file being parsed when this exception occurred

### setElement

    public void setElement(java.lang.String target)

  Set the name of the element that was being parsed when this exception occured.

  Parameters:
    `target` -

### getElement

    public java.lang.String getElement()

  Returns:
    name of the element being parsed when this exception occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.